package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;

import java.util.Date;

/**
 * ProfilesFindRequest - 系统配置查询
 *
 * @author author
 * @version 0.0.1
 * @since 2020-05-24
 */
public class ProfilesFindRequest extends BaseFindRequest {

    /**
     * 环境
     */
    private String active;

    /**
     * 键
     */
    private String key;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    public String getActive() {
        return this.active;
    }

    public void setActive(String active) {
        this.active = active;
    }

    public String getKey() {
        return this.key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
